/*
Az ISP-probapanel nyomogombjainak es a 7 szegmenses kijelzojenek kezelesi programja.
A nyomogomb lenyomasa a gombnak megfelelo szamot jeleniti meg a kijelzon.
*/

#include <avr/io.h>

const unsigned char szam[4] = {
                                 0xA4 /*2*/, 0x94 /*3*/,
								 0xD2 /*4*/, 0x98 /*5*/
								};

int main(void) {
  DDRC = 0xFF;
  PORTC = 0xFF;
  
  DDRE = 0x7F;
  PORTE = 0x80;
  
  DDRF = 0xF7;
  PORTF = 0x08;
  
  DDRG = 0x07;
  PORTG = 0x10;  
  
  for (;;) {
    if (bit_is_clear(PINF,PINF3)) PORTC = szam[0];
	else PORTC = 0xFF;
	
    if (bit_is_clear(PING,PING3)) PORTC = szam[1];
	else PORTC = 0xFF;

    if (bit_is_clear(PING,PING4)) PORTC = szam[2];
	else PORTC = 0xFF;
    
	if (bit_is_clear(PINE,PINE7)) PORTC = szam[3];
	else PORTC = 0xFF;
  }
  
  return(0);
}
